// Code generated by MockGen. DO NOT EDIT.
// Source: apiProject/users (interfaces: IRepository)

// Package mocks is a generated GoMock package.
package mocks

import (
	users "apiProject/users"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockIRepository is a mock of IRepository interface.
type MockIRepository struct {
	ctrl     *gomock.Controller
	recorder *MockIRepositoryMockRecorder
}

// MockIRepositoryMockRecorder is the mock recorder for MockIRepository.
type MockIRepositoryMockRecorder struct {
	mock *MockIRepository
}

// NewMockIRepository creates a new mock instance.
func NewMockIRepository(ctrl *gomock.Controller) *MockIRepository {
	mock := &MockIRepository{ctrl: ctrl}
	mock.recorder = &MockIRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockIRepository) EXPECT() *MockIRepositoryMockRecorder {
	return m.recorder
}

// Distinct mocks base method.
func (m *MockIRepository) Distinct(arg0 string) (interface{}, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Distinct", arg0)
	ret0, _ := ret[0].(interface{})
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Distinct indicates an expected call of Distinct.
func (mr *MockIRepositoryMockRecorder) Distinct(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Distinct", reflect.TypeOf((*MockIRepository)(nil).Distinct), arg0)
}

// GetUsersMultipleFilters mocks base method.
func (m *MockIRepository) GetUsersMultipleFilters(arg0 map[string]interface{}) ([]users.User, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetUsersMultipleFilters", arg0)
	ret0, _ := ret[0].([]users.User)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetUsersMultipleFilters indicates an expected call of GetUsersMultipleFilters.
func (mr *MockIRepositoryMockRecorder) GetUsersMultipleFilters(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetUsersMultipleFilters", reflect.TypeOf((*MockIRepository)(nil).GetUsersMultipleFilters), arg0)
}

// UpdateUserAttributes mocks base method.
func (m *MockIRepository) UpdateUserAttributes(arg0 users.User) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateUserAttributes", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateUserAttributes indicates an expected call of UpdateUserAttributes.
func (mr *MockIRepositoryMockRecorder) UpdateUserAttributes(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateUserAttributes", reflect.TypeOf((*MockIRepository)(nil).UpdateUserAttributes), arg0)
}
